#!/bin/bash

joke_len=`expr length "$joke"`
joke_font=roman

date_font=`echo "roman colossal" | sed 's/ /\n/g' | sort -R | head -1`
time_font=`echo "roman poison colossal" | sed 's/ /\n/g' | sort -R | head -1`

if [ $joke_len -gt 40 ]; then
	joke_font=thick
	joke="\n$joke"
fi

#echo "$date_font $time_font $joke_font"
date "+%a %b %e" | figlet -Wnctf "./fonts/$date_font"
date "+%l:%M %p" | figlet -Wnctf "./fonts/$time_font"
echo -n -e "$joke" | figlet -nctf "./fonts/$joke_font"

